Bug 976659 - [RHSC] Error "Failed to decrypt Data must start with zero" seen in engine logs when logging into the Console
[RHSC] Error "Failed to decrypt Data must start with zero" seen in engine log...
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.1
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Sahina Bose
Shruti Sampat
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 02:32 EDT by Shruti Sampat
Modified: 2015-12-03 12:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 12:11:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine logs (47.94 KB, text/x-log)
2013-06-21 02:32 EDT, Shruti Sampat
no flags Details
new engine logs (90.37 KB, text/plain)
2013-10-17 08:55 EDT, Shruti Sampat
no flags Details

  None (edit)
Description Shruti Sampat 2013-06-21 02:32:55 EDT
Created attachment 763674 [details]
engine logs

Description of problem:
---------------------------------------
If the ovirt-engine service is restarted before logging into the Console, the following errors are seen in the engine logs - 

2013-06-21 11:49:32,600 ERROR [org.ovirt.engine.core.utils.crypt.EncryptionUtils] (ajp-/127.0.0.1:8702-11) Failed to decrypt Data must start with zero
2013-06-21 11:49:32,602 ERROR [org.ovirt.engine.core.dal.dbbroker.generic.DBConfigUtils] (ajp-/127.0.0.1:8702-11) Failed to decrypt value for property LocalAdminPassword will be used encrypted value
2013-06-21 11:49:32,637 ERROR [org.ovirt.engine.core.utils.crypt.EncryptionUtils] (ajp-/127.0.0.1:8702-11) Failed to decrypt Data must start with zero
2013-06-21 11:49:32,639 ERROR [org.ovirt.engine.core.dal.dbbroker.generic.DBConfigUtils] (ajp-/127.0.0.1:8702-11) Failed to decrypt value for property LocalAdminPassword will be used encrypted value
2013-06-21 11:49:32,687 ERROR [org.ovirt.engine.core.utils.crypt.EncryptionUtils] (ajp-/127.0.0.1:8702-11) Failed to decrypt Data must start with zero
2013-06-21 11:49:32,687 ERROR [org.ovirt.engine.core.dal.dbbroker.generic.DBConfigUtils] (ajp-/127.0.0.1:8702-11) Failed to decrypt value for property LocalAdminPassword will be used encrypted value
2013-06-21 11:49:32,738 ERROR [org.ovirt.engine.core.utils.crypt.EncryptionUtils] (ajp-/127.0.0.1:8702-11) Failed to decrypt Data must start with zero
2013-06-21 11:49:32,739 ERROR [org.ovirt.engine.core.dal.dbbroker.generic.DBConfigUtils] (ajp-/127.0.0.1:8702-11) Failed to decrypt value for property LocalAdminPassword will be used encrypted value
2013-06-21 11:49:32,801 ERROR [org.ovirt.engine.core.utils.crypt.EncryptionUtils] (ajp-/127.0.0.1:8702-11) Failed to decrypt Data must start with zero
2013-06-21 11:49:32,801 ERROR [org.ovirt.engine.core.dal.dbbroker.generic.DBConfigUtils] (ajp-/127.0.0.1:8702-11) Failed to decrypt value for property LocalAdminPassword will be used encrypted value


Version-Release number of selected component (if applicable):
Red Hat Storage Console Version: 2.1.0-0.bb4.el6rhs 

How reproducible:
Always

Steps to Reproduce:
1. Run the following command to restart the ovirt-engine service - 
   # service ovirt-engine restart
2. Log in to the Console.

Actual results:
The above described error message is seen in the engine logs.

Expected results:
The message should be clear about what the error is, as it is not very clearly explaining the error occurring.

Additional info:
Comment 2 Itamar Heim 2013-06-21 04:33:05 EDT
1. we did some fixes around handling of encryption issues in 3.2.
2. the above key is for windows sysprep local admin - irrelevant for rhsc. I'd 'close deferred' expecting it to go away in a future rebase.
Comment 3 Sahina Bose 2013-06-24 01:50:02 EDT
Closing as per Itamar's comments
Comment 4 Shruti Sampat 2013-10-17 08:53:33 EDT
This issue is observed in Red Hat Storage Console Version: 2.1.2-0.0.scratch.beta1.el6_4 also. Hence re-opening.
Comment 5 Shruti Sampat 2013-10-17 08:55:24 EDT
Created attachment 813301 [details]
new engine logs
Comment 6 Vivek Agarwal 2015-12-03 12:11:09 EST
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.

Note You need to log in before you can comment on or make changes to this bug.